package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 月度统计信息
 * </p>
 *
 * @author mk
 * @since 2023-10-18
 */
@TableName("monthly_statistics")
@ApiModel(value="MonthlyStatistics对象", description="月度统计信息")
public class MonthlyStatistics extends Model<MonthlyStatistics> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据库唯一标识")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "统计时间")
    @TableField("statistics_time")
    private Date statisticsTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "代理商")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属区域")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "楼id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private String floor;

    @ApiModelProperty(value = "厕所")
    @TableField("toilet_id")
    private Long toiletId;

    @ApiModelProperty(value = "位置id")
    @TableField("position_id")
    private Long positionId;

    @ApiModelProperty(value = "位置信息")
    @TableField("position")
    private String position;

    @ApiModelProperty(value = "性别")
    @TableField("gender")
    private Integer gender;

    @ApiModelProperty(value = "sn码")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "用纸长度")
    @TableField("paper_length")
    private Integer paperLength;

    @ApiModelProperty(value = "有效使用人数")
    @TableField("use_count")
    private Integer useCount;

    @ApiModelProperty(value = "总人次")
    @TableField("total_count")
    private Integer totalCount;

    @ApiModelProperty(value = "出纸人次")
    @TableField("paper_count")
    private Integer paperCount;

    @ApiModelProperty(value = "备份字段")
    @TableField("mark1")
    private String mark1;

    @TableField("runl_mode")
    private Integer runlMode;

    @TableField("device_type")
    private Integer deviceType;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getStatisticsTime() {
        return statisticsTime;
    }

    public void setStatisticsTime(Date statisticsTime) {
        this.statisticsTime = statisticsTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public Long getToiletId() {
        return toiletId;
    }

    public void setToiletId(Long toiletId) {
        this.toiletId = toiletId;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public Integer getPaperLength() {
        return paperLength;
    }

    public void setPaperLength(Integer paperLength) {
        this.paperLength = paperLength;
    }

    public Integer getUseCount() {
        return useCount;
    }

    public void setUseCount(Integer useCount) {
        this.useCount = useCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public String getMark1() {
        return mark1;
    }

    public void setMark1(String mark1) {
        this.mark1 = mark1;
    }

    public Integer getRunlMode() {
        return runlMode;
    }

    public void setRunlMode(Integer runlMode) {
        this.runlMode = runlMode;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MonthlyStatistics{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", statisticsTime=" + statisticsTime +
        ", softDelete=" + softDelete +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", buildingId=" + buildingId +
        ", floor=" + floor +
        ", toiletId=" + toiletId +
        ", positionId=" + positionId +
        ", position=" + position +
        ", gender=" + gender +
        ", snCode=" + snCode +
        ", paperLength=" + paperLength +
        ", useCount=" + useCount +
        ", totalCount=" + totalCount +
        ", paperCount=" + paperCount +
        ", mark1=" + mark1 +
        ", runlMode=" + runlMode +
        ", deviceType=" + deviceType +
        "}";
    }
}
